<?php
    /**
     * Template Name: Contact Us
     *
     * @package Theme Palace
     * @subpackage EduMag Pro
     * @since EduMag Pro 1.0
     */
    get_header();

    $options = edumag_pro_get_theme_options();  // get theme options 

	$page_title          = get_the_title( );
	$enable_map_section  = isset( $options['enable_map_section'] ) ? $options['enable_map_section'] : false ;
	$enable_contact_form = isset( $options['enable_contact_form'] ) ? $options['enable_contact_form'] : false ;
	
	$contact_map_option  = ! empty( $options['map_type_option'] ) ? $options['map_type_option'] : 'shortcode';

    if ( $enable_map_section ) : ?>
   	<section id="map-section" class="page-section">
        <div class="container">
          	<div id="map">
      		<?php 
				if ( 'shortcode' == $contact_map_option ) {
                    if( ! empty( $options['contact_map_shortcode'] ) ) {
					   echo do_shortcode( wp_kses_post( $options['contact_map_shortcode'] ) );
                    }
				} else {
                    if ( ! empty( $options['contact_map_embed'] ) ){
					   echo html_entity_decode( $options['contact_map_embed'] );
                    }
                }
			?>
          	</div>
          	<?php do_action( 'edumag_pro_add_breadcrumb' ); // add breadcrumbs ?>
        </div><!--.container-->      
    </section><!-- #banner-image -->
	<?php endif; ?>

    <div class="container page-section">
        <div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
				<section id="contact-form">
					<?php if ( ! empty( $page_title ) ) : ?>
					<header class="entry-header wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">
						<h2 class="entry-title"><?php echo esc_html( $page_title ); ?></h2>
					</header><!--.entry-header-->
					<?php endif; ?>

					<?php if ( $enable_contact_form && ! empty( $options['contact_form_shortcode'] ) ) : ?>
					<div class="entry-content wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">
						<?php echo do_shortcode( wp_kses_post( $options['contact_form_shortcode'] ) ); ?>
					</div><!-- .entry-content -->
					<?php endif; ?>
				</section><!-- #contact-form -->

			</main><!-- #main -->
        </div><!-- #primary -->

       <?php
		if ( edumag_pro_is_sidebar_enable() ) {
			get_sidebar();
		}
	?>
    </div><!-- .container -->
    <?php    
    get_footer();