<?php
/**
 * EduMag Pro Contact Page Customizer options
 *
 * @package Theme Palace
 * @subpackage EduMag Pro
 * @since EduMag Pro 1.0
 */

// Add contact page template section
$wp_customize->add_section( 'edumag_pro_contact_section', array(
	'title'             => esc_html__( 'Contact Page','edumag-pro' ),
	'description'       => esc_html__( 'Contact page options.', 'edumag-pro' ),
	'panel'             => 'edumag_pro_page_template_panel'
) );

// Add  enable  address block setting and control.
$wp_customize->add_setting( 'edumag_pro_theme_options[enable_map_section]', array(
	'default'           => $options['enable_map_section'],
	'sanitize_callback' => 'edumag_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'edumag_pro_theme_options[enable_map_section]', array(
	'label'             => esc_html__( 'Enable Map Section.', 'edumag-pro' ),
	'section'           => 'edumag_pro_contact_section',
	'type'              => 'checkbox',
) );

// Add map form setting and control.
$wp_customize->add_setting( 'edumag_pro_theme_options[map_type_option]', array(
	'default'           	=> $options['map_type_option'],
	'sanitize_callback' 	=> 'edumag_pro_sanitize_select'
) );

$wp_customize->add_control( 'edumag_pro_theme_options[map_type_option]', array(
	'label'             	=> esc_html__( 'Map Option', 'edumag-pro' ),
	'section'           	=> 'edumag_pro_contact_section',
	'type'             	 	=> 'select',
	'choices'			  	=> array( 
		'embed' 			=> esc_html__( 'Embed Code', 'edumag-pro' ),
		'shortcode'			=> esc_html__( 'Plugin Shortcode', 'edumag-pro' )
	),
	'active_callback'		=> 'edumag_pro_is_contact_map_active'
) );


// Show google map embed setting and control
$wp_customize->add_setting( 'edumag_pro_theme_options[contact_map_embed]', array(
	'sanitize_callback' 	=> 'edumag_pro_sanitize_google_map_iframe',
) );

$wp_customize->add_control( 'edumag_pro_theme_options[contact_map_embed]', array(
	'label'           		=> esc_html__( 'Map Embed Code', 'edumag-pro' ),
	'description'     		=> esc_html__( 'Input Google Map embed code. Recommended map size is 1170x400 px.', 'edumag-pro' ),
	'section'         		=> 'edumag_pro_contact_section',
	'active_callback' 		=> 'edumag_pro_contact_map_embed_active',
	'type'            		=> 'textarea',
) );

// Show google map shortcode setting and control
$wp_customize->add_setting( 'edumag_pro_theme_options[contact_map_shortcode]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
) );

$wp_customize->add_control( 'edumag_pro_theme_options[contact_map_shortcode]', array(
	'label'           		=> esc_html__( 'Map Shortcode', 'edumag-pro' ),
	'description'     		=> esc_html__( 'Input Google Map shortcode.', 'edumag-pro' ),
	'section'         		=> 'edumag_pro_contact_section',
	'active_callback' 		=> 'edumag_pro_contact_map_shortcode_active',
	'type'            		=> 'textarea',
) );


// Add enable contact form setting and control.
$wp_customize->add_setting( 'edumag_pro_theme_options[enable_contact_form]', array(
	'default'           	=> $options['enable_contact_form'],
	'sanitize_callback' 	=> 'edumag_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'edumag_pro_theme_options[enable_contact_form]', array(
	'label'             	=> esc_html__( 'Enable Contact Form', 'edumag-pro' ),
	'section'           	=> 'edumag_pro_contact_section',
	'type'             	 	=> 'checkbox',
) );

// Show contact form shortcode setting and control
$wp_customize->add_setting( 'edumag_pro_theme_options[contact_form_shortcode]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
) );

$wp_customize->add_control( 'edumag_pro_theme_options[contact_form_shortcode]', array(
	'label'           		=> esc_html__( 'Contact Form Shortcode', 'edumag-pro' ),
	'description'     		=> esc_html__( 'Input the shortcode generated by your contact form here. eg: [contact-form-7 id="277" title="Contact form 1"]', 'edumag-pro' ),
	'section'         		=> 'edumag_pro_contact_section',
	'active_callback' 		=> 'edumag_pro_is_contact_form_active',
	'type'            		=> 'textarea',
) );
