<?php
/**
* pagination options
*
* @package Theme Palace
* @subpackage EduMag Pro
* @since EduMag Pro 1.0
*/

// Add sidebar section
$wp_customize->add_section( 'edumag_pro_pagination', array(
	'title'               => esc_html__( 'Pagination','edumag-pro' ),
	'description'         => esc_html__( 'Pagination section options.', 'edumag-pro' ),
	'panel'               => 'edumag_pro_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'edumag_pro_theme_options[pagination_enable]', array(
	'sanitize_callback'   => 'edumag_pro_sanitize_checkbox',
	'default'             => $options['pagination_enable']
) );

$wp_customize->add_control( 'edumag_pro_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'edumag-pro' ),
	'section'             => 'edumag_pro_pagination',
	'type'                => 'checkbox',
) );

$pagination_type = $options['pagination_type']; // get pagination type

/**
 * Check if navigation type is Jetpack Infinite Scroll and if it is enabled
 */
if ( ( 'infinite-click' == $pagination_type || 'infinite-scroll' == $pagination_type ) ) {
	if ( ! (class_exists( 'Jetpack' ) && Jetpack::is_module_active( 'infinite-scroll' ) ) ) {
		$pagination_description = esc_html__( 'Infinite Scroll Options requires', 'edumag-pro' ) . sprintf( '<a target="_blank" href="%s"> %s </a>', esc_url( 'https://wordpress.org/plugins/jetpack/' ), esc_html__( 'JetPack Plugin', 'edumag-pro' ) ) . esc_html__( 'with Infinite Scroll module Enabled.', 'edumag-pro' );
	} else{
		$pagination_description = '';
	}
}
else {
	$pagination_description = esc_html__( 'Select pagination type.', 'edumag-pro' );
}

// Site layout setting and control.
$wp_customize->add_setting( 'edumag_pro_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'edumag_pro_sanitize_select',
	'default'             => $options['pagination_type']
) );

$wp_customize->add_control( 'edumag_pro_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'edumag-pro' ),
	'description' 		  => $pagination_description,
	'section'             => 'edumag_pro_pagination',
	'type'                => 'select',
	'choices'			  => edumag_pro_pagination_options(),
	'active_callback'	  => 'edumag_pro_is_pagination_enable'
) );
